現在位置: ホーム / セキュリティ ブログ / ntfs-3gの脆弱性(CVE-2017-0358)

ntfs-3gの脆弱性(CVE-2017-0358)

2/1に、ntfs-3gの脆弱性(CVE-2017-0358)についての情報が出ています。今回は、この脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面です。

2/1に、ntfs-3gの脆弱性についての情報が出ています。今回は、この脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。



一次情報源

CVE-2017-0358

Priority

Medium

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

CVE-2017-0358

  • ntfs-3gがsetuidでインストールされている場合にローカル権限昇格の可能性

  • 重要度 - Medium

  • ntfs-3gがmodprobeでfuseモジュールをロードする前に環境をscrubしていないことがわかりました。この結果、ntfs-3gがsetuidでインストールされている場合には(通常Debian, Ubuntu, Gentooが当てはまります)、modprobeを利用して悪意のあるローカルユーザがroot権限昇格出来る可能性が有ります。


主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat Satelliteを使うと管理が便利でしょう。

Red Hat Satelliteを用いた一般的なErattaの適用は、『Red Hat Satellite 6でerrataを適用してみる』を参考にして下さい。

また、ホストOSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品LifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

[参考]

CVE-2017-0358 ntfs-3g: modprobe influence vulnerability via environment variables


セミナー情報

event_2017_02_08

2/8(水)に「OSSセキュリティナイター vol.4」と題して、セキュリティのセミナーを行います。

この回では、『迫る!Red Hat Enterprise Linux 5 通常サポート終了』と題してRHEL5サポート終了に関してのリスクを主軸にセミナーを開催します。

今回も、前回に引き続き、ゲスト講師をお招きし講演をいただきます。

https://connpass.com/event/48977/がプログラム内容と申し込みの詳細になりますので、是非お申し込み下さい。

OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

OSSよろず相談室

サイオスOSSよろず相談室(2)

問い合わせボタン